terms {stats} | R Documentation

## Model Terms

### Description

The function `terms` is a generic function which can be used to extract terms objects from various kinds of R data objects.

### Usage

    terms(x, ...)

### Arguments

`x` | object used to select a method to dispatch.
`...` | further arguments passed to or from other methods.

### Details

There are methods for classes `"aovlist"`, and `"terms"` `"formula"` (see `terms.formula`): the default method just extracts the `terms` component of the object, or failing that a `"terms"` attribute (as used by `model.frame`).

There are `print` and `labels` methods for class `"terms"`: the latter prints the term labels (see `terms.object`).

### Value

An object of class `c("terms", "formula")` which contains the terms representation of a symbolic model. See `terms.object` for its structure.

### References

Chambers, J. M. and Hastie, T. J. (1992) Statistical models. Chapter 2 of Statistical Models in S eds J. M. Chambers and T. J. Hastie, Wadsworth & Brooks/Cole.

### See Also

`terms.object`, `terms.formula`, `lm`, `glm`, `formula`.

[Package stats version 3.6.0 Index]